//Задаем путь к точкам обмена сообщениями 
function [err,pathToMessagePoint]=AskToQuensionToFile(messages,..//Ответ (сообщения ответов)
                                                      CommandFilePointName..//Точка обмена сообщениями
                                                      )
    //Проверяем число аргументов
    if argn(2) < 2 then
        error('Function AskToQuencionToFile takes 2 arguments');
    end
    
    //Проверяем аргумент
    if type(messages) ~= 10 then
        error('The argument messages of function AskToQuencionToFile must be matrix of string');
    end
    if (type(CommandFilePointName) ~= 10) ||..
       (size(CommandFilePointName,'*') > 1) then
        error('The argument CommandFilePointName of function AskToQuencionToFile must be scalar string');
    end
    
    //Проверяем, зарегистрирована ли точка обмена сообщениями
    [regRezult,..
     pathToMessagePoint]=isRegisteredMessageFilePoint(CommandFilePointName);
    if ~regRezult then
        err = 7;
        error('The file message point ' + CommandFilePointName + ' is not registered');
    end
    
    //Проверяем право ответа на вопрос
    fullRuleAnswerFileName = fullfile(pathToMessagePoint,'ruleAnswer.ran');//Полное имя файла права ответа на вопрос
    if isempty(fileinfo(fullRuleAnswerFileName)) ||..
       (mgetl(fullRuleAnswerFileName) == '0') then
        err = -1;
        fullRuleAnswerFileName = [];
        return;
    end
    
    //Отправляем ответ
    try
        [err,..
         pathToMessagePoint]=WriteMessageToPointFile(CommandFilePointName,..//Имя точки обмена сообщениями
                                                     'Answer.ans',messages,%t);
    end
                                                     
    //Закрываем право ответа на вопрос
    mputl('0',fullRuleAnswerFileName);
    
    //Выводим при необходимости сообщение об ошибках записи
    if err ~= 0 then
        error(lasterror());
    end
endfunction
