//Задаем путь к точкам обмена сообщениями 
function [messages,..//Сообщения
          isQuesion,..//Вопрос ли?
          pathToCommandPoint]=ReadCommandFromFile(CommandFilePointName,..//Имя точки обмена сообщениями
                                                  waiting..//Ожидание сообщения 
                                                  )
    //Проверяем число аргументов
    nArg = argn(2);
    if nArg < 1 then
        error('Function ReadCommandFromFile takes 1 or 2 arguments');
    elseif nArg == 1 then
        waiting = %f;//По умолчанию сообщение не ждем
    end
    
    //Проверяем аргументы
    if (type(CommandFilePointName) ~= 10) ||..
       (size(CommandFilePointName,'*') > 1) then
        error('The argument CommandFilePointName of function ReadCommandFromFile must be scalar string');
    end
    if (type(waiting) ~= 4) || (size(waiting,'*') ~= 1) then
        error('The argument deleting of function ReadCommandFromFile must be scalar boolean');
    end
    
    //Читаем сообщения
    [messages,..
     pathToMessagePoint]=ReadMessageFromPointFile(CommandFilePointName,..
                                                  'Quencion.ask',waiting,%f);//Считываем сообщение, но файл не удаляем
    
    //Выясняем, является ли сообщение вопросом
    if isempty(messages) then
        isQuesion = %f;//Пустые сообщения вопросом не являются
        return;
    else
        //Последнее сообщение
        end_message = messages($);
        
        //Есть ли вопрос
        l_end_message = length(end_message);//Длина последнего сообщения
        if l_end_message > 2 then
            isSpecSymbol = part(end_message,l_end_message-2) == '\';
            isQuesion = (~isSpecSymbol) && (part(end_message,[l_end_message-1,l_end_message]) == '\a');
            if isQuesion then
                messages($) = part(end_message,[1:(l_end_message-2)]);
            elseif isSpecSymbol then
                messages($) = part(end_message,[[1:(l_end_message-3)],[l_end_message-1,l_end_message]]);
            end
        elseif l_end_message < 2 then
            isQuesion = %f;
        else
            isQuesion = (end_message == '\a');//Знак вопроса перенесен на следующую строку
            if isQuesion then
                messages = messages(1:(l_end_message-1));//Последнюю строку убираем
            end
        end
    end
    
    //Отделяем дату от вопроса
    if isQuesion then
        //Обновләем последнее сообщение
        end_message = messages($);
        
        //Ищем индекс первого вхождения двоеточия
        index = strindex(end_message,':')(1);
        
        //Выделяем дату
        quesion_date = part(end_message,[1:(index - 1)]);
        
        //Отделяем сам вопрос
        messages($) = part(end_message,[(index + 1):$]);
        
        //Открываем право ответа на вопрос (если оно есть)
        if IsDifferentDates(pathToMessagePoint,quesion_date) then
            fullRuleAnswerFileName = fullfile(pathToMessagePoint,'ruleAnswer.ran');//Полное имя файла права ответа на вопрос
            mputl('1',fullRuleAnswerFileName);//Записываем право ответа на вопрос
        end
    end
endfunction

//Функция сверки дат
function [isDifferentDates]=IsDifferentDates(pathToMessagePoint,quesion_date)
    //Сравниваем даты
    fullDateFileName = fullfile(pathToMessagePoint,'LastQuensionDate.tad');//Полное имя файла последней даты
    isDifferentDates = isempty(fileinfo(fullDateFileName)) ||..
                       (mgetl(fullDateFileName) ~= quesion_date);//Являются ли даты разными?
    
    //Сохраняем дату
    if isDifferentDates then
        mputl(quesion_date,fullDateFileName);
    end
endfunction
